return {
	color = {0,.7,.5},
	layout = {
		{3,2,2,2,2,2,0,0,0,2,2,2,2,2,3,},
		{2,1,1,1,1,1,0,0,0,1,1,1,1,1,2,},
		{2,1,0,0,0,0,0,0,0,0,0,0,0,1,2,},
		{2,1,0,0,0,0,0,0,0,0,0,0,0,1,2,},
		{2,1,0,0,1,0,0,0,0,0,1,0,0,1,2,},
		{2,1,0,0,0,1,1,1,1,1,0,0,0,1,2,},
		{0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,},
		{0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,},
		{0,0,0,0,0,1,0,0,0,1,0,0,0,0,0,},
		{2,1,0,0,0,1,1,1,1,1,0,0,0,1,2,},
		{2,1,0,0,1,0,0,0,0,0,1,0,0,1,2,},
		{2,1,0,0,0,0,0,0,0,0,0,0,0,1,2,},
		{2,1,0,0,0,0,0,0,0,0,0,0,0,1,2,},
		{2,1,1,1,1,1,0,0,0,1,1,1,1,1,2,},
		{3,2,2,2,2,2,0,0,0,2,2,2,2,2,3,}
	},
	on_load = function (map)
		--add title
		ui:add_named_text("title", map.width + 6, -14, "SURVIVE... BALL?", {1, 1, 1}, 3, 0)
		ui:add_named_text("instructions", map.width + 4, -10, "Arrow keys to move, space to jump", {1, 1, 1}, 1, 0)

		--exit to the first level
		ui:add_named_text("start", map.width + 2.5, 3, "Start Game", {1, 1, 1}, 2, math.pi / 6.8)
		local function get_next_level (self, player)
			change_level(0, 0, "test_lvl")
		end
		map:add_static_object(Event_tile:create(map.width - 1, 6, map, get_next_level))
		map:add_static_object(Event_tile:create(map.width - 1, 7, map, get_next_level))
		map:add_static_object(Event_tile:create(map.width - 1, 8, map, get_next_level))

		--go to options screen
		ui:add_named_text("settings", 8, -3, "Settings", {1, 1, 1}, 2, -math.pi / 6.8)
		local function get_options_level (self, player)
			change_level(4, 7, "settings_level")
		end
		
		map:add_static_object(Event_tile:create(6, 0, map, get_options_level))
		map:add_static_object(Event_tile:create(7, 0, map, get_options_level))
		map:add_static_object(Event_tile:create(8, 0, map, get_options_level))

		--quit
		ui:add_named_text("exit", -2, 6, "Exit Game", {1, 1, 1}, 2, math.pi / 6.8)
		local function quit_game (self, player)
			love.event.quit()
		end
		map:add_static_object(Event_tile:create(0, 6, map, quit_game))
		map:add_static_object(Event_tile:create(0, 7, map, quit_game))
		map:add_static_object(Event_tile:create(0, 8, map, quit_game))

		local function load_credits (self, player)
			change_level(4, 1, "credits")
		end
		map:add_static_object(Event_tile:create(6, map.height - 1, map, load_credits))
		map:add_static_object(Event_tile:create(7, map.height - 1, map, load_credits))
		map:add_static_object(Event_tile:create(8, map.height - 1, map, load_credits))
		ui:add_named_text("credits", 5, map.height + 2, "Credits", {1, 1, 1}, 2, -math.pi / 6.8)
	end
}
