return {
	color = {.7,.8,.25},
	layout = {
		{1,1,1,1,1,1,1,1,1},
		{1,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,1},
		{1,1,1,0,0,0,1,1,1}
	},
	on_load = function (map)

		ui:add_named_text("title", map.width + 3, -8.5, "GRAPHICS SETTINGS", {1, 1, 1}, 3, 0)
		ui:add_named_text("instructions", map.width + 2, -6, "Press enter while on an arrow to change value", {1, 1, 1}, 1, 0)
		local font_color = {.1, .1, .1}

		--back to main menu
		local function back_to_settings (self, player)
			change_level(4, 1, "settings_level")
			_G.options:save()
		end
		map:add_static_object(Event_tile:create(math.floor(map.width / 2) - 1, map.height - 1, map, back_to_settings))
		map:add_static_object(Event_tile:create(math.floor(map.width / 2), map.height -1, map, back_to_settings))
		map:add_static_object(Event_tile:create(math.floor(map.width / 2) + 1, map.height - 1, map, back_to_settings))

		local function change_resolution (up)
			local current_resolution_w = _G.options.data.resolution_w
			local index = 1
			for i = 1, #_G.options.resolutions do
				if _G.options.resolutions[i][1] == current_resolution_w then
					index = i
					break
				end
			end
			if up then
				index = math.min(index + 1, #_G.options.resolutions)
			else
				index = math.max(index - 1, 1)
			end
			_G.options.data.resolution_w = _G.options.resolutions[index][1]
			_G.options.data.resolution_h = _G.options.resolutions[index][2]
			_G.ui.named_texts["resolution"].content = "resolution: " .. _G.options.data.resolution_w .. "x" .. _G.options.data.resolution_h

			local scale_factor = lg.getHeight() / _G.options.data.resolution_h
			_G.ui:set_scale_factor(scale_factor)
			_G.ui:resize_all_canvas(_G.options.data.resolution_w, _G.options.data.resolution_h)
			_G.ui:recalc_fonts()
			change_level(_G.ui.players[1].x - .5, _G.ui.players[1].y - .5, "settings_graphics")
		end
		local function resolution_up ()
			change_resolution(true)
		end
		local function resolution_down ()
			change_resolution(false)
		end

		--set resolution
		ui:add_named_text("resolution", 2, 3.2, "resolution: " .. options.data.resolution_w .. "x" .. options.data.resolution_h, font_color, 1, -math.pi / 6.8)
		map:add_static_object(Option_arrow:create(6, 2, resolution_up, true, map))
		map:add_static_object(Option_arrow:create(6, 3, resolution_down, false, map))
	end
}
